Summary:	Simple Bittorrent client
Name:		transmission
Version:	4.0.4
Release:	%mkrel 1
License:	MIT and GPLv2
Group:		Networking/File transfer
URL:		http://www.transmissionbt.com/

%(if [ ! -f %_sourcedir/%{name}-%{version}.tar.xz ]; then cd %_sourcedir/ && wget  https://github.com/transmission/transmission/releases/download/%{version}/%{name}-%{version}.tar.xz; fi)
Source0:        https://download.osgeo.org/gdal/%{version}/%{name}-%{version}.tar.xz

Source1:	%{name}-daemon.init
Source2:	%{name}-daemon.sysconfig
BuildRequires:	bzip2
BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	miniupnpc-devel
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(libcanberra-gtk)
BuildRequires:	libnatpmp-devel
BuildRequires:	pkgconfig(libdeflate)
BuildRequires: lib64gtkmm3.0-devel

%description
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top of an efficient back-end.

%package common
Summary:	Common files for Transmission Bittorrent client
Group:		Networking/File transfer
BuildArch:	noarch

%description common
Transmission is a free, lightweight BitTorrent client. This package
contains the common files used by the different front-ends.

%package cli
Summary:	Command line interface for Transmission BitTorrent client
Group:		Networking/File transfer
Requires:	%{name}-common = %{version}

%description cli
Transmission is a free, lightweight BitTorrent client. This package
contains the command line interface front-end.

NOTE: This tool has been deprecated by the Transmission developers!

%package gtk3
Summary:	GTK+ 3 Interface for Transmission BitTorrent client
Group:		Networking/File transfer
Requires:	%{name}-common = %{version}
Provides:	%{name} = %{version}-%{release}
Provides:	%{name}-gui = %{version}-%{release}

%description gtk3
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top of an efficient back-end.

This package provides the GTK+ 3 Interface.

%package qt5
Summary:	Qt5 Interface for Transmission BitTorrent client
Group:		Networking/File transfer
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name}-common = %{version}

%description qt5
Transmission is a simple BitTorrent client. It features a very simple,
intuitive interface (gui and command-line) on top on an efficient,
cross-platform back-end.

This package contains QTransmission, a Qt5 based GUI for Transmission
loosely based on the GTK+ client.

%package daemon
Summary:	Daemon for Transmission BitTorrent client
Group:		Networking/File transfer
Requires:	%{name}-common = %{version}
Requires(pre):		shadow-utils
Requires(pre):		rpm-helper
Requires(preun):	rpm-helper


%description daemon
Transmission is a simple BitTorrent client. It features a very simple,
intuitive interface (gui and command-line) on top on an efficient,
cross-platform back-end.

This package contains the transmission-daemon.

%prep
%setup -q

%build
%cmake \
  -DENABLE_CLI:BOOL=ON \
  -DENABLE_GTK:BOOL=ON \
  -DENABLE_QT:BOOL=ON \
  -DENABLE_TESTS:BOOL=OFF \
  -DINSTALL_LIB:BOOL=OFF
%cmake_build

%install
%cmake_install

%__install -Dm755 %{S:1} %{buildroot}%{_initddir}/%{name}-daemon
%__install -Dm644 %{S:2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}-daemon
%__install -d %{buildroot}/var/lib/%{name}

desktop-file-install --vendor="" \
  --remove-category="Qt" \
  --remove-category="GTK" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir %{buildroot}%{_desktopdir} %{buildroot}%{_desktopdir}/*.desktop


%find_lang %{name}-gtk


%pre daemon
%_pre_useradd transmission %{_sharedstatedir}/transmission /sbin/nologin

%post daemon
%_post_service %{name}-daemon

%preun daemon
%_preun_service %{name}-daemon


%files common
%doc %{_docdir}/%{name}/
%dir %{_datadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/%{name}/public_html/

%files cli
%{_bindir}/%{name}-cli
%{_bindir}/%{name}-create
%{_bindir}/%{name}-edit
%{_bindir}/%{name}-remote
%{_bindir}/%{name}-show
%{_mandir}/man1/%{name}-cli.1*
%{_mandir}/man1/%{name}-create.1*
%{_mandir}/man1/%{name}-edit.1*
%{_mandir}/man1/%{name}-remote.1*
%{_mandir}/man1/%{name}-show.1*

%files daemon
%{_bindir}/%{name}-daemon
%{_mandir}/man1/%{name}-daemon.1*
%{_initddir}/%{name}-daemon
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}-daemon
%attr(-,transmission,transmission)/var/lib/%{name}

%files gtk3 -f %{name}-gtk.lang
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}-gtk.desktop
%{_mandir}/man1/%{name}-gtk.1*
%{_datadir}/metainfo/transmission-gtk.metainfo.xml


%files qt5
%{_bindir}/%{name}-qt
%{_datadir}/applications/%{name}-qt.desktop
%{_mandir}/man1/%{name}-qt.1*
%{_datadir}/%{name}/translations/


%changelog
* Sun Sep 03 2023 tex - 4.0.4-1pclos2023
- new version

* Fri Apr 14 2023 tex - 4.0.3-1pclos2023
- new version

* Wed Mar 15 2023 tex - 4.0.2-1pclos2023
- new version

* Tue Mar 07 2023 tex - 4.0.1-1pclos2023
- new version

* Mon Oct 26 2020 tex - 3.00-1pclos2020
- new version
